Public Member Functions | Public Attributes | List of all members
libzmf::ZMFPageSettings Struct Reference

`#include <ZMFTypes.h>`

## Public Member Functions
| ZMFPageSettings ()
| ZMFPageSettings (double w, double h, double left, double top, Color c=Color(255, 255, 255))

## Public Attributes
double | width
double | height
double | leftOffset
double | topOffset
Color | color

## Constructor & Destructor Documentation

## ◆ ZMFPageSettings() [1/2]

libzmf::ZMFPageSettings::ZMFPageSettings | ( |  | ) |
| inline

## ◆ ZMFPageSettings() [2/2]

libzmf::ZMFPageSettings::ZMFPageSettings | ( | double | w,
|  | double | h,
|  | double | left,
|  | double | top,
|  | Color | c = `Color(255, 255, 255)`
| ) |  |
| inline

## Member Data Documentation

## ◆ color

Color libzmf::ZMFPageSettings::color

Referenced by libzmf::ZMFCollector::startPage().

## ◆ height

double libzmf::ZMFPageSettings::height

Referenced by libzmf::ZMFCollector::startPage().

## ◆ leftOffset

double libzmf::ZMFPageSettings::leftOffset

Referenced by libzmf::ZMFCollector::collectPath(), and libzmf::ZMFCollector::pageX().

## ◆ topOffset

double libzmf::ZMFPageSettings::topOffset

Referenced by libzmf::ZMFCollector::collectPath(), and libzmf::ZMFCollector::pageY().

## ◆ width

double libzmf::ZMFPageSettings::width

Referenced by libzmf::ZMFCollector::startPage().

The documentation for this struct was generated from the following file:

- ZMFTypes.h